Bug 135366 - [httx] candidates in the candidates window gets bold
[httx] candidates in the candidates window gets bold
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Leon Ho
: i18n
Depends On:
Blocks: IIIMF 137149
  Show dependency treegraph
 
Reported: 2004-10-12 05:23 EDT by Lawrence Lim
Modified: 2014-03-25 20:51 EDT (History)
5 users (show)

See Also:
Fixed In Version: im-sdk-12.1-9.EL
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-22 01:39:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
httx in the KDE desktop (270.86 KB, image/png)
2004-10-12 05:25 EDT, Lawrence Lim
no flags Details
first proposed fix (3.95 KB, patch)
2004-11-18 20:29 EST, Leon Ho
no flags Details | Diff

  None (edit)
Description Lawrence Lim 2004-10-12 05:23:55 EDT
Description of problem:
This bug affects all LE with candidates window option in the KDE desktop.

Version-Release number of selected component (if applicable):
- im-sdk-12.0.1-13.svn1943
- kdebase-3.3.0-7

How reproducible:
Always

Steps to Reproduce:
1.in gdm login as normal user with japanese / kde session
2.after run kde, press alt-f2 to run dialog
3.ctrl-space to activiate LE
4.enter 'aka' 
5.enter SPACE twice to show the candidates window
6.enter SPACE and observe the candidates get bold 
  
Actual results:
Candidates get bold

Expected results:
Candidates should be get bold

Additional info:
Please see attached screenshot for more information.
Comment 1 Lawrence Lim 2004-10-12 05:25:53 EDT
Created attachment 105053 [details]
httx in the KDE desktop

Please compare the first 4 candidates against the last 4. You will notice that
the first are bold while the later are not.
Comment 2 Jens Petersen 2004-10-28 03:44:24 EDT
Thanks for reporting this long-standing problem. :)
(Though there is nothing KDE specific about it.)
Comment 3 Leon Ho 2004-11-10 02:04:56 EST
I will take over this. Talked to Jens and Tagoh-san and they
highlighted the importance of this for japanese users as they usually
use space to select candidate in CannaLE.
Comment 4 Leon Ho 2004-11-18 20:29:05 EST
Created attachment 107024 [details]
first proposed fix
Comment 5 Leon Ho 2004-11-18 20:33:47 EST
Here is the proposed fix. It should be fixed and uses highlight box
like the original behavior now. Maintainer please sane check. 

Once it is okay and built, will move to MODIFIED for QA.
Comment 6 Leon Ho 2004-11-19 01:30:12 EST
Patch has been committed into cvs. Spec file has been modified and
retested with new test package with several LEs and they are okay now.

QA please confirm on next im-sdk build.
Comment 7 Leon Ho 2004-11-21 20:44:18 EST
It is built onto -9.
Comment 8 Lawrence Lim 2004-11-22 01:39:28 EST
Confirmed fixed im-sdk-12.1-9.EL. Tested in both GNOME and KDE desktop
environment.


Thanks.

Note You need to log in before you can comment on or make changes to this bug.